# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.api.flows_api import FlowsApi


class TestFlowsApi(unittest.IsolatedAsyncioTestCase):
    """FlowsApi unit test stubs"""

    async def asyncSetUp(self) -> None:
        self.api = FlowsApi()

    async def asyncTearDown(self) -> None:
        await self.api.api_client.close()

    async def test_create_flow_api_v1_flows_post(self) -> None:
        """Test case for create_flow_api_v1_flows_post

        Create Flow
        """
        pass

    async def test_delete_flow_api_v1_flows_id_delete(self) -> None:
        """Test case for delete_flow_api_v1_flows_id_delete

        Delete Flow
        """
        pass

    async def test_get_flow_api_v1_flows_id_get(self) -> None:
        """Test case for get_flow_api_v1_flows_id_get

        Get Flow
        """
        pass

    async def test_get_flows_api_v1_flows_get(self) -> None:
        """Test case for get_flows_api_v1_flows_get

        Get Flows
        """
        pass

    async def test_upsert_flow_api_v1_flows_id_put(self) -> None:
        """Test case for upsert_flow_api_v1_flows_id_put

        Upsert Flow
        """
        pass


if __name__ == '__main__':
    unittest.main()
